package com.fos.modules.vipuser.bean;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseBean;
import org.hibernate.validator.constraints.NotEmpty;

public class CheckVipUserBean extends BaseBean {
	
	@NotEmpty(message="nickname不能为NULL")
    @JSONField(name="nickname")
	private String nickname;   //vip用户昵称

	//@NotEmpty(message="arrive不能为NULL")
	@JSONField(name="arrive")
	private String arrive;   //vip用户目的地

	//@NotEmpty(message="flightNo不能为NULL")
	@JSONField(name="flightNo")
	private String flightNo;   //vip用户航班号

	@NotEmpty(message="name不能为NULL")
	@JSONField(name="name")
	private String name;   //vip用户姓名

	private int userId;   //vip用户ID
	
	/*@JSONField(name="loginCount")
	private int loginCount;   //vip用户登陆次数

	public int getLoginCount() {
		return loginCount;
	}

	public void setLoginCount(int loginCount) {
		this.loginCount = loginCount;
	}
*/
	public String getArrive() {
		return arrive;
	}

	public void setArrive(String arrive) {
		this.arrive = arrive;
	}

	public String getFlightNo() {
		return flightNo;
	}

	public void setFlightNo(String flightNo) {
		this.flightNo = flightNo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}
}
